SDL_GetSurfaceAlphaMod(3)

NAME
SDL_GetSurfaceAlphaMod - Get the additional alpha value used in blit operations.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetSurfaceAlphaMod(SDL_Surface *surface, Uint8 *alpha);

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query.

alpha
    a pointer filled in with the current alpha value.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetSurfaceColorMod(3), •(3), SDL_SetSurfaceAlphaMod(3)